/* TODO: move this file to global */
.row.equal-height {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}
.row.equal-height > [class^="col"].full-height-col {
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}
.row.equal-height > [class^="col"].full-height-col > * {
  width: 100%;
}

.inline-popup {
  background: #fff;
  max-width: 800px;
  margin: 0 auto;
  padding: 15px;
  position: relative;
}
footer {
  line-height: 50px;
}
footer #footer-copyright {
  text-align: left;
}
footer #footer-solution {
  text-align: right;
}
footer > .container {
  border-top: 1px solid #e2dfd6;
}
.logo,
.navbar-brand {
  vertical-align: middle;
  padding-right: 10px;
}
.logo img,
.navbar-brand img {
  display: inline-block;
}
.logo img + img,
.navbar-brand img + img {
  margin-left: 20px;
}
.navbar-brand img:last-child {
  padding-right: 8px;
}
.noselect {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.global-alert {
  position: fixed;
  z-index: 9000;
  top: 15px;
  left: 0;
  right: 0;
  margin: auto;
  width: 500px;
}
.btn-orange,
.btn-orange:hover,
.btn-orange:focus,
.btn-orange:active {
  background: #ff9600;
  /* Old browsers */
  background: -moz-linear-gradient(top, #ff9600 0%, #ec7c00 100%);
  /* FF3.6+ */
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #ff9600), color-stop(100%, #ec7c00));
  /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(top, #ff9600 0%, #ec7c00 100%);
  /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(top, #ff9600 0%, #ec7c00 100%);
  /* Opera 11.10+ */
  background: -ms-linear-gradient(top, #ff9600 0%, #ec7c00 100%);
  /* IE10+ */
  background: linear-gradient(to bottom, #ff9600 0%, #ec7c00 100%);
  /* W3C */
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff9600', endColorstr='#ec7c00', GradientType=0);
  /* IE6-9 */
  color: #fff;
  font-weight: bold;
  padding: 9px 35px;
}
.btn-green,
.btn-green:hover,
.btn-green:focus,
.btn-green:active {
  /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#78c545+0,5ab21f+100 */
  background: #78c545;
  /* Old browsers */
  background: -moz-linear-gradient(top, #78c545 0%, #5ab21f 100%);
  /* FF3.6+ */
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #78c545), color-stop(100%, #5ab21f));
  /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(top, #78c545 0%, #5ab21f 100%);
  /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(top, #78c545 0%, #5ab21f 100%);
  /* Opera 11.10+ */
  background: -ms-linear-gradient(top, #78c545 0%, #5ab21f 100%);
  /* IE10+ */
  background: linear-gradient(to bottom, #78c545 0%, #5ab21f 100%);
  /* W3C */
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#78c545', endColorstr='#5ab21f', GradientType=0);
  /* IE6-9 */
  color: #fff;
  font-weight: bold;
  padding: 7px 10px;
}
.btn-disabled,
.btn-disabled:hover,
.btn-disabled:focus,
.btn-disabled:active {
  /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#78c545+0,5ab21f+100 */
  background: #dad8d1;
  /* Old browsers */
  color: #fff;
  font-weight: bold;
  padding: 7px 10px;
}
.btn-brown {
  background: #744f38;
  /* Old browsers */
  background: -moz-linear-gradient(top, #744f38 0%, #4f382b 100%);
  /* FF3.6+ */
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #744f38), color-stop(100%, #4f382b));
  /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(top, #744f38 0%, #4f382b 100%);
  /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(top, #744f38 0%, #4f382b 100%);
  /* Opera 11.10+ */
  background: -ms-linear-gradient(top, #744f38 0%, #4f382b 100%);
  /* IE10+ */
  background: linear-gradient(to bottom, #744f38 0%, #4f382b 100%);
  /* W3C */
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#744f38', endColorstr='#4f382b', GradientType=0);
  /* IE6-9 */
  color: #fff;
  text-transform: uppercase;
  font-size: 12px;
  padding: 10px 45px;
}
.btn-brown:hover,
.btn-brown:focus,
.btn-brown:active {
  color: #fff;
}
.btn-gray {
  background: #dad8d1;
  color: #fff;
  text-transform: uppercase;
  font-size: 12px;
  padding: 10px 45px;
  font-weight: bold;
}
.btn-gray:hover,
.btn-gray:focus,
.btn-gray:active {
  color: #fff;
}
.btn-red {
  background: #ee3e3e;
  /* Old browsers */
  background: -moz-linear-gradient(top, #ee3e3e 0%, #ce3232 100%);
  /* FF3.6+ */
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #ee3e3e), color-stop(100%, #ce3232));
  /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(top, #ee3e3e 0%, #ce3232 100%);
  /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(top, #ee3e3e 0%, #ce3232 100%);
  /* Opera 11.10+ */
  background: -ms-linear-gradient(top, #ee3e3e 0%, #ce3232 100%);
  /* IE10+ */
  background: linear-gradient(to bottom, #ee3e3e 0%, #ce3232 100%);
  /* W3C */
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ee3e3e', endColorstr='#ce3232', GradientType=0);
  /* IE6-9 */
  color: #fff;
  text-transform: uppercase;
  font-size: 12px;
  padding: 7px 10px;
}
.btn-red:hover,
.btn-red:focus,
.btn-red:active {
  color: #fff;
}
.btn-orange-empty {
  border: 2px solid #ff9600;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
  -moz-background-clip: padding;
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
  font-size: 14px;
  font-weight: bold;
  padding: 8px 12px;
  text-transform: uppercase;
  color: #ff9600;
}
.btn-orange-empty:hover,
.btn-orange-empty:focus,
.btn-orange-empty:active {
  color: #ff9600;
}
.btn-empty {
  border: 2px solid #5e4a3f;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
  -moz-background-clip: padding;
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
  color: #5e4a3f;
  font-size: 14px;
  font-weight: bold;
  padding: 13px;
}
.custom-checkbox[type="checkbox"] {
  /* Base for label styling */
  /* checkbox aspect */
  /* checked mark aspect */
  /* checked mark aspect changes */
}
.custom-checkbox[type="checkbox"]:not(:checked),
.custom-checkbox[type="checkbox"]:checked {
  position: absolute;
  left: -9999px;
}
.custom-checkbox[type="checkbox"]:not(:checked) + label,
.custom-checkbox[type="checkbox"]:checked + label {
  position: relative;
  padding-left: 25px;
  cursor: pointer;
  padding-top: 5px;
  padding-bottom: 5px;
}
.custom-checkbox[type="checkbox"]:not(:checked) + label:before,
.custom-checkbox[type="checkbox"]:checked + label:before {
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  width: 17px;
  height: 17px;
  border: 1px solid #aaa;
  background: #f8f8f8;
  border-radius: 3px;
  box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.3);
  bottom: 0;
  margin: auto;
}
.custom-checkbox[type="checkbox"].correct + label:before {
  border: 3px solid green;
}
.custom-checkbox[type="checkbox"]:not(:checked) + label:after,
.custom-checkbox[type="checkbox"]:checked + label:after {
  content: '✔';
  position: absolute;
  top: 9px;
  left: 1px;
  font-size: 18px;
  line-height: 0.8;
  color: #fa8f00;
  transition: all 0.2s;
}
.custom-checkbox[type="checkbox"]:not(:checked) + label:after {
  opacity: 0;
  transform: scale(0);
}
.custom-checkbox[type="checkbox"]:checked + label:after {
  opacity: 1;
  transform: scale(1);
}
.custom-radio[type="radio"] {
  /* Base for label styling */
  /* checkbox aspect */
  /* checked mark aspect */
  /* checked mark aspect changes */
}
.custom-radio[type="radio"]:not(:checked),
.custom-radio[type="radio"]:checked {
  position: absolute;
  left: -9999px;
}
.custom-radio[type="radio"]:not(:checked) + label,
.custom-radio[type="radio"]:checked + label {
  position: relative;
  padding-left: 25px;
  cursor: pointer;
  padding-top: 5px;
  padding-bottom: 5px;
}
.custom-radio[type="radio"]:not(:checked) + label:before,
.custom-radio[type="radio"]:checked + label:before {
  content: '';
  position: absolute;
  left: 0;
  top: 0;
  width: 17px;
  height: 17px;
  border: 1px solid #aaa;
  background: #f8f8f8;
  border-radius: 3px;
  box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.3);
  bottom: 0;
  margin: auto;
}
.custom-radio[type="radio"].correct + label:before {
  border: 3px solid green;
}
.custom-radio[type="radio"]:not(:checked) + label:after,
.custom-radio[type="radio"]:checked + label:after {
  content: ' ';
  position: absolute;
  top: 11px;
  left: 4px;
  font-size: 18px;
  line-height: 0.8;
  color: #09ad7e;
  transition: all 0.2s;
  width: 9px;
  height: 9px;
  background: #fa8f00;
  -webkit-border-radius: 1px;
  -moz-border-radius: 1px;
  border-radius: 1px;
  -moz-background-clip: padding;
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
}
.custom-radio[type="radio"]:not(:checked) + label:after {
  opacity: 0;
  transform: scale(0);
}
.custom-radio[type="radio"]:checked + label:after {
  opacity: 1;
  transform: scale(1);
}
body.frontpage {
  background-color: #f0eee8;
}
body.frontpage header {
  width: 100%;
  height: 50vh;
  background-color: #fa8f00;
}
body.frontpage header > .container {
  width: 100%;
  max-width: 500px;
  margin: 0 auto;
}
body.frontpage header .head-info {
  color: #fff;
  text-align: center;
  margin-top: 30px;
  word-wrap: break-word;
}
body.frontpage header .head-info h1 {
  font-weight: normal;
}
body.frontpage header .head-info p.header-note {
  margin-top: 20px;
  margin-bottom: 40px;
}
body.frontpage header .login-block .panel-login {
  min-height: 350px;
  border: none;
}
body.frontpage header .login-block .panel-login .panel-heading {
  background: #744f38;
  /* Old browsers */
  background: -moz-linear-gradient(top, #744f38 0%, #4f382b 100%);
  /* FF3.6+ */
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #744f38), color-stop(100%, #4f382b));
  /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(top, #744f38 0%, #4f382b 100%);
  /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(top, #744f38 0%, #4f382b 100%);
  /* Opera 11.10+ */
  background: -ms-linear-gradient(top, #744f38 0%, #4f382b 100%);
  /* IE10+ */
  background: linear-gradient(to bottom, #744f38 0%, #4f382b 100%);
  /* W3C */
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#744f38', endColorstr='#4f382b', GradientType=0);
  /* IE6-9 */
  text-align: center;
  color: #fff;
  font-weight: bold;
  line-height: 40px;
  font-size: 16px;
}
body.frontpage header .login-block .panel-login .panel-body {
  padding: 50px;
}
body.frontpage header .login-block .panel-login .panel-body form div.form-group {
  margin-bottom: 20px;
}
body.frontpage header .login-block .panel-login .panel-body form div.form-group div.input-group .input-group-addon {
  font-size: 20px;
  min-width: 48px;
}
body.frontpage header .login-block .panel-login .panel-body form div.form-group div.input-group input.form-control {
  height: 48px;
}
body.frontpage header .login-block .panel-login .panel-body form a.password-remind {
  color: #ff9600;
  text-decoration: underline;
  font-weight: bold;
  line-height: 55px;
}
body.frontpage footer {
  position: absolute;
  bottom: 0;
  width: 100%;
}
body.frontpage-pl .logo img,
body.frontpage-pl .footer-img img {
  max-width: 100%;
  margin: 0 auto;
}
body.frontpage-pl .footer-img {
  padding-top: 40px;
}
body.frontpage-pl .head-info {
  color: black;
  text-align: center;
}
body.frontpage-pl .head-info h4 {
  font-weight: normal;
  margin-top: 40px;
}
body.frontpage-pl .head-info p.header-note {
  margin-top: 20px;
  margin-bottom: 40px;
}
body.frontpage-pl .login-block {
  max-width: 500px;
  margin: 20px auto;
}
body.frontpage-pl .login-block .panel-login {
  min-height: 350px;
  border: none;
}
body.frontpage-pl .login-block .panel-login .panel-heading {
  background: #0b3e6f;
  /* Old browsers */
  text-align: center;
  color: #fff;
  font-weight: bold;
  line-height: 40px;
  font-size: 16px;
}
body.frontpage-pl .login-block .panel-login .panel-body {
  padding: 50px;
}
body.frontpage-pl .login-block .panel-login .panel-body form div.form-group {
  margin-bottom: 20px;
}
body.frontpage-pl .login-block .panel-login .panel-body form div.form-group div.input-group .input-group-addon {
  font-size: 20px;
  min-width: 48px;
}
body.frontpage-pl .login-block .panel-login .panel-body form div.form-group div.input-group input.form-control {
  height: 48px;
}
body.frontpage-pl .login-block .panel-login .panel-body form a.password-remind {
  color: black;
  text-decoration: underline;
  font-weight: bold;
  line-height: 55px;
}
.form-group .error {
  color: red !important;
  font-weight: normal;
  font-size: 12px;
}
.navbar.navbar-orange {
  background-color: #fa8f00;
  min-height: 70px;
}
.navbar.navbar-orange .navbar-header .navbar-brand {
  height: auto;
  color: #fff;
  padding-top: 8px;
  padding-bottom: 8px;
}
.navbar.navbar-orange .navbar-header .navbar-brand img {
  display: inline-block;
  width: 100%;
  margin: 15px -15px;
}
.navbar.navbar-orange .navbar-toggle .icon-bar {
  background-color: #fff;
  width: 30px;
  height: 3px;
}
.navbar.navbar-orange .navbar-toggle .icon-bar + .icon-bar {
  margin-top: 7px;
}
.navbar.navbar-orange .navbar-nav {
  margin-top: 10px;
}
.navbar.navbar-orange .navbar-nav > li {
  float: none;
  display: inline-block;
  vertical-align: middle;
}
.navbar.navbar-orange .navbar-nav > li > a {
  color: #fff;
  text-transform: uppercase;
  padding-top: 14px;
  padding-bottom: 14px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
  -moz-background-clip: padding;
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
}
.navbar.navbar-orange .navbar-nav > li > a:focus,
.navbar.navbar-orange .navbar-nav > li > a:active,
.navbar.navbar-orange .navbar-nav > li > a:hover {
  background: #fba533;
}
.navbar.navbar-orange .navbar-nav > li.open > a {
  background: #fba533;
}
.navbar.navbar-orange .navbar-nav > li .dropdown-menu {
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
  -moz-background-clip: padding;
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
  top: 115%;
  left: 0;
}
.navbar.navbar-orange .navbar-nav > li .dropdown-menu:before {
  content: " ";
  display: block;
  position: absolute;
  top: -6px;
  left: 20px;
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 0 6px 6px 6px;
  border-color: transparent transparent #ffffff transparent;
}
.navbar.navbar-orange .navbar-nav li.profile-btn {
  background-color: #fff;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  -moz-background-clip: padding;
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
}
.navbar.navbar-orange .navbar-nav li.profile-btn a {
  color: #453228;
  text-transform: initial;
  padding-top: 10px;
  padding-bottom: 10px;
  font-size: 13px;
  font-weight: bold;
}
.navbar.navbar-orange .navbar-nav li.profile-btn a:hover,
.navbar.navbar-orange .navbar-nav li.profile-btn a:focus,
.navbar.navbar-orange .navbar-nav li.profile-btn a:active {
  background: none;
}
.navbar.navbar-orange .navbar-nav li.profile-btn.open > a {
  background: none;
}
.navbar.navbar-orange .languages {
  float: right;
}
.navbar.navbar-orange .languages a {
  display: block;
}
.popup-content {
  background-color: #fff;
  max-width: 550px;
  margin: 0 auto;
  text-align: center;
  padding: 50px 0;
  position: relative;
}
body:not(.frontpage) {
  background-color: #f0eee8;
}
section {
  margin-bottom: 30px;
}
section > .container > h1 {
  text-align: center;
  font-weight: normal;
}
section > .container .content-container {
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  -moz-background-clip: padding;
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
}
section > .container .content-container:not(.nobg) {
  background-color: #fff;
}
section > .container .content-container .head-panel {
  padding: 15px 30px;
}
section > .container .content-container .head-panel > div {
  display: inline-block;
}
section > .container .content-container .head-panel > div + div {
  margin-left: 30px;
}
section > .container .content-container .head-panel .filters select {
  width: 100%;
  height: 40px;
}
section > .container .content-container .body-panel .list-table {
  overflow: auto;
}
section > .container .content-container .body-panel .list-table .table-container {
  overflow-x: auto;
}
section > .container .content-container .body-panel .list-table table thead tr th {
  background-color: #f2f1eb;
  font-weight: bold;
}
section > .container .content-container .body-panel .list-table table tbody tr:nth-of-type(odd) td {
  background-color: #fff;
}
section > .container .content-container .body-panel .list-table table tbody tr:nth-of-type(even) td {
  background-color: #fcfbf9;
}
.pagination {
  text-align: center;
  display: block;
}
.pagination ul {
  list-style: none;
  margin-left: 0;
  padding-left: 0;
}
.pagination ul li {
  display: inline-block;
  padding: 5px 10px;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
  -moz-background-clip: padding;
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
}
.pagination ul li a {
  color: #453228;
  text-decoration: underline;
  font-size: 13px;
  font-weight: bold;
}
.pagination ul li a:hover,
.pagination ul li a:active,
.pagination ul li a:focus {
  color: #453228;
}
.pagination ul li.active {
  background-color: #453228;
}
.pagination ul li.active a {
  color: #fff;
  text-decoration: none;
}
.green-boolean {
  color: #00ff00;
}
.red-boolean {
  color: #ff0000;
}
.inline-flex {
  display: inline-flex;
}
.row {
  display: flex;
  flex-wrap: wrap;
}
.mobile-languages {
    float: right;
    margin-right: 10px;
    margin-top: 20px;
}

.mobile-languages img {
    height: 18px;
}
ul.dropdown-menu.languages.custom {
  min-width: auto;
  right: 0;
  left: auto;
}
li.languages ul.dropdown-menu {
  min-width: 80px !important;
}
.inline-end {
  float: inline-end;
}

table tbody tr td {
  vertical-align: middle !important;
}
.mobile-profile-btn {
  padding: 10px 24px;
  display: none !important;
}

li#profile-btn {
  display: inline-block;
}
.chosen-container .chosen-results li.create-option.highlighted a {
    color: #fff !important;
}

select option[value=""] {
    display: none;
}

.w-full {
  width: 100%;
}

@media (max-width: 1200px) {
  .navbar-collapse.custom {
    display: none !important;
  }
  .navbar-toggle.custom {
    display: block !important;
    margin-top: 18px;
  }
  .navbar-header.custom {
    float: none;
  }
  .mobile-languages.visible-xs.custom {
    display: block !important;
    margin-top: 30px;
  }
  .languages.hidden-xs.custom {
    display: none !important;
  }
  .mobile-profile-btn {
    display: block !important;
  }
  li#profile-btn {
    display: none;
  }
  .menu_level_1.dropdown-menu.custom {
    position: absolute;
    right: 0;
    left: auto !important;
  }
  .menu_level_1.dropdown-menu.custom::before {
    left: 80% !important;
  }
  .btn.add-specific-comment,
  .btn.add-subject,
  .btn.subject-statuses,
  .btn.subject-export,
  .btn.new-course,
  .btn.filter-course {
    padding-inline: 12px;
  }
}

@media (max-width: 480px) {
  body.frontpage header .head-info p.header-note {
    margin-top: 5px;
    margin-bottom: 5px;
  }
}
.ck-powered-by-balloon {
    display: none !important;
}
.select2-results__option {
    text-align: left;
}

.select2-selection__rendered {
    text-align: left;
}

@media (max-width: 767px) {
  .navbar-brand.custom {
    width: 33%;
  }
  body.frontpage header .login-block .panel-login .panel-body {
    padding: 50px 10px 50px 10px;
  }
  body.frontpage header .login-block .panel-login .panel-body:has(.alert-danger) {
    padding: 10px 10px 0 10px;
  }
}